<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="">
        <div class="row d-flex justify-content-center align-items-center" style="height: 100vh">
            <div class=" col-sm-5 jumbotron ">
                <div class="row mb-5">
                    <div class="col-sm-12 text-center text-warning">
                        <h1>Đăng Ký</h1>
                    </div>
                </div>
                <div class="row">

                    <div class="col-sm-4">
                        <label for="">UserName</label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-name" class="form-control" type="text" placeholder="Nhập User name">
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-sm-4">
                        <label for="">Password</label>
                    </div>
                    <div class="col-sm-8">
                        <input id="inp-pass" class="form-control" type="text" placeholder="Nhập password">
                    </div>
                </div>
                <div class="row mt-5">
                    <button id="btn-register" class="btn btn-warning form-control">Đăng ký</button>
                </div>
            </div>
        </div>
    </div>


</body>
<script>
    $(document).ready(function () {
        $("#btn-register").on("click", function () {
            // onBtnRegister();
            test();
            // alert("hello")
        })
    })
    function onBtnRegister() {
        var vObjUser = {
            username: "",
            password: "",
        }
        vObjUser.username = $("#inp-name").val();
        vObjUser.password = $("#inp-pass").val();
        console.log(vObjUser);
        $.ajax({
            url: "http://localhost:8080/register",
            type: "POST",

            data: JSON.stringify(vObjUser),
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                // alert("Đăng ký thành công!");
                // location.href = "Login.html";
            },
            error: function (paramErr) {
                alert("err");
            }
        })
    }
    function test() {
        var vObjUser = {
            username: "uio",
            password: "001",
        }
        $.ajax({
            url: "http://localhost:8080/register",
            type: "POST",
            data: JSON.stringify(vObjUser),
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                alert("Đăng ký thành công!");
                location.href = "Login.html";
            },
            error: function (paramErr) {
                alert("err");
            }
        })

    }
</script>

</html>